<?php
# -- BEGIN LICENSE BLOCK ----------------------------------
#
# This file is part of ItsaRiddle, a plugin for Dotclear 2.
#
# Copyright (c) 2009 AkhThoT 
#
# Licensed under the GPL version 2.0 license.
# See LICENSE file or
# http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
#
# -- END LICENSE BLOCK ------------------------------------
if (!defined('DC_CONTEXT_ADMIN')) { return; }

if (is_null($core->blog->settings->sItsaRiddle_Ok))
{
	# on tente de créer les paramètres
	try
	{
		$core->blog->settings->setNameSpace('ItsaRiddle');
		
		$core->blog->settings->put('sItsaRiddle_Ok',false,'boolean');
		$core->blog->settings->put('sItsaRiddle_Cookie',false,'boolean');
		$core->blog->settings->put('sItsaRiddle_StyleForm','','string');
		$core->blog->settings->put('sItsaRiddle_StyleP','','string');
		$core->blog->settings->put('sItsaRiddle_Icon',true,'boolean');
		$core->blog->settings->put('sItsaRiddle_StyleAnswer','','string');
		$core->blog->settings->put('sItsaRiddle_StyleOk','','string');
		$core->blog->settings->put('sItsaRiddle_TxTOk','Proposer','string');
		
		$core->blog->settings->put('sItsaRiddle_Moderation',false,'boolean');
		$core->blog->settings->put('sItsaRiddle_Tag','ItsaRiddle','string');

		$core->blog->settings->put('sItsaRiddle_DashBoard',false,'boolean');
		$core->blog->settings->put('sItsaRiddle_InfoVersion',true,'boolean');

		$core->blog->triggerBlog();
		http::redirect(http::getSelfURI());
	}
	catch (Exception $e)
	{
		$core->error->add($e->getMessage());
	}
}

# On récupère les paramètres
$pItsaRiddle_Ok = (boolean)$core->blog->settings->sItsaRiddle_Ok;
$pItsaRiddle_Cookie = (boolean)$core->blog->settings->sItsaRiddle_Cookie;
$pItsaRiddle_StyleForm = $core->blog->settings->sItsaRiddle_StyleForm;
$pItsaRiddle_StyleP = $core->blog->settings->sItsaRiddle_StyleP;
$pItsaRiddle_Icon = (boolean)$core->blog->settings->sItsaRiddle_Icon;
$pItsaRiddle_StyleAnswer = $core->blog->settings->sItsaRiddle_StyleAnswer;
$pItsaRiddle_StyleOk = $core->blog->settings->sItsaRiddle_StyleOk;
$pItsaRiddle_TxTOk = $core->blog->settings->sItsaRiddle_TxTOk;

$pItsaRiddle_Moderation = (boolean)$core->blog->settings->sItsaRiddle_Moderation;
$pItsaRiddle_Tag = $core->blog->settings->sItsaRiddle_Tag;

$pItsaRiddle_DashBoard = (boolean)$core->blog->settings->sItsaRiddle_DashBoard;
$pItsaRiddle_InfoVersion = (boolean)$core->blog->settings->sItsaRiddle_InfoVersion;

# si on a validé le formulaire
if (!empty($_POST['saveconfig']))
{
	# on tente d'enregistrer les paramètres
	try
	{
		$pItsaRiddle_Ok = (empty($_POST['ItsaRiddle_Ok']))?false:true;
		$pItsaRiddle_Cookie = (empty($_POST['ItsaRiddle_Cookie']))?false:true;
		$pItsaRiddle_StyleForm = $_POST['ItsaRiddle_StyleForm'];
		$pItsaRiddle_StyleP = $_POST['ItsaRiddle_StyleP'];
		$pItsaRiddle_Icon = (empty($_POST['ItsaRiddle_Icon']))?false:true;
		$pItsaRiddle_StyleAnswer = $_POST['ItsaRiddle_StyleAnswer'];
		$pItsaRiddle_StyleOk = $_POST['ItsaRiddle_StyleOk'];
		$pItsaRiddle_TxTOk = $_POST['ItsaRiddle_TxTOk'];

		$pItsaRiddle_Moderation = (empty($_POST['ItsaRiddle_Moderation']))?false:true;
		$pItsaRiddle_Tag = $_POST['ItsaRiddle_Tag'];
		
		$pItsaRiddle_DashBoard = (empty($_POST['ItsaRiddle_DashBoard']))?false:true;
		$pItsaRiddle_InfoVersion = (empty($_POST['ItsaRiddle_InfoVersion']))?false:true;

		$core->blog->settings->setNamespace('ItsaRiddle');
 		$core->blog->settings->put('sItsaRiddle_Ok',$pItsaRiddle_Ok,'boolean');
		$core->blog->settings->put('sItsaRiddle_Cookie',$pItsaRiddle_Cookie,'boolean');
		$core->blog->settings->put('sItsaRiddle_StyleForm',$pItsaRiddle_StyleForm,'string');
		$core->blog->settings->put('sItsaRiddle_StyleP',$pItsaRiddle_StyleP,'string');
		$core->blog->settings->put('sItsaRiddle_Icon',$pItsaRiddle_Icon,'boolean');
		$core->blog->settings->put('sItsaRiddle_StyleAnswer',$pItsaRiddle_StyleAnswer,'string');
		$core->blog->settings->put('sItsaRiddle_StyleOk',$pItsaRiddle_StyleOk,'string');
		$core->blog->settings->put('sItsaRiddle_TxTOk',$pItsaRiddle_TxTOk,'string');

 		$core->blog->settings->put('sItsaRiddle_Moderation',$pItsaRiddle_Moderation,'boolean');
		$core->blog->settings->put('sItsaRiddle_Tag',$pItsaRiddle_Tag,'string');

 		$core->blog->settings->put('sItsaRiddle_DashBoard',$pItsaRiddle_DashBoard,'boolean');
 		$core->blog->settings->put('sItsaRiddle_InfoVersion',$pItsaRiddle_InfoVersion,'boolean');

		$core->blog->triggerBlog();

		$msg = __('Configuration saved successfully.');
	}
	catch (Exception $e)
	{
		$core->error->add($e->getMessage());
	}
}

$ico64 = '<img style="vertical-align: middle;" src="index.php?pf=ItsaRiddle/img-admin/ItsaRiddle-64x64.png" />';
$ico16 = '<img style="vertical-align: middle;" src="index.php?pf=ItsaRiddle/img-admin/ItsaRiddle-16x16.png" />';

$plug = $core->plugins->getModules('ItsaRiddle');
$vplug = $plug['version'];

?>
<html>
<head>
	<title><?php echo 'ItsaRiddle v°'.$vplug; ?></title>
</head>
<body>
<h2><?php echo $ico64.html::escapeHTML($core->blog->name); ?> &rsaquo; <?php echo 'ItsaRiddle v°'.$vplug; ?></h2>

<?php if (!empty($msg)) echo '<p class="message">'.$msg.'</p>'; ?>

<?php if (!empty($err)) echo '<p class="error">'.$err.'</p>'; ?>

<div id="ItsaRiddle_options">
	<form method="post" action="">
		
		<fieldset>
			<legend><?php echo $ico16.'&nbsp;'.__('General parameters'); ?></legend>
				<div class="two-cols">
				<div class="col">
				<p class="field">
					<?php echo form::checkbox('ItsaRiddle_Ok', 1, html::escapeHTML($pItsaRiddle_Ok)); ?>
					<label class=" classic" for="pItsaRiddle_Ok"> <?php echo __('Activation Plugin');?></label>
				</p>
				<p class="field">
					<?php echo form::checkbox('ItsaRiddle_Cookie', 1, html::escapeHTML($pItsaRiddle_Cookie)); ?>
					<label class=" classic" for="pItsaRiddle_Cookie"> <?php echo __('Remember answers');?></label>
				</p>
				</div>
				<div class="col">
				<p><?php echo __("Follow-up");?> <a href="http://akhthot.free.fr/blog/pages/ItsaRiddle"><?php echo $ico16;?>&nbsp;ItsaRiddle</a></p>
				<p><?php echo __("What consists in storing a cookie in the customer post");?></p>
				</div>
				</div>
		</fieldset>

		<fieldset>
			<legend><?php echo $ico16.'&nbsp;'.__('Parametrize Displays'); ?></legend>
				<div class="two-cols">
				<div class="col">
				<p class="field">
					<?php echo form::field('ItsaRiddle_StyleForm', 40, 255, html::escapeHTML($pItsaRiddle_StyleForm)); ?>
					<label class=" classic" for="ItsaRiddle_StyleForm"> <?php echo __('Style marks out').' &lt;form&gt;';?></label>
				</p>
				<p class="field">
					<?php echo form::field('ItsaRiddle_StyleP', 40, 255, html::escapeHTML($pItsaRiddle_StyleP)); ?>
					<label class=" classic" for="ItsaRiddle_StyleP"> <?php echo __('Style marks out').' &lt;p&gt;';?></label>
				</p>
				<p class="field">
					<?php echo form::checkbox('ItsaRiddle_Icon', 1, html::escapeHTML($pItsaRiddle_Icon)); ?>
					<label class=" classic" for="pItsaRiddle_Icon"> <?php echo __('Display of Icon');?></label>
				</p>
				<p class="field">
					<?php echo form::field('ItsaRiddle_StyleAnswer', 40, 255, html::escapeHTML($pItsaRiddle_StyleAnswer)); ?>
					<label class=" classic" for="ItsaRiddle_StyleAnswer"> <?php echo __('Style bums around reponse');?></label>
				</p>
				<p class="field">
					<?php echo form::field('ItsaRiddle_StyleOk', 40, 255, html::escapeHTML($pItsaRiddle_StyleOk)); ?>
					<label class=" classic" for="ItsaRiddle_StyleOk"> <?php echo __('Style button proposition');?></label>
				</p>
				<p class="field">
					<?php echo form::field('ItsaRiddle_TxTOk', 40, 255, html::escapeHTML($pItsaRiddle_TxTOk)); ?>
					<label class=" classic" for="ItsaRiddle_TxTOk"> <?php echo __('Button proposition Text');?></label>
				</p>
				</div>
				<div class="col">
				<p><?php echo __('sample');?> : <em>background-color:#cccccc;</em></p>
				<p>&nbsp;</p>
				<p><?php echo __('This icon');?> <img style="vertical-align: middle;" src="index.php?pf=ItsaRiddle/img-admin/Serrure.png" /> <?php __("precede the input field");?></p>
				<p>&nbsp;</p>
				<p>&nbsp;</p>
				<p><?php echo __('sample');?> : <em><?php echo __("Propose");?></em></p>
				</div>
				</div>
		</fieldset>

		<fieldset>
			<legend><?php echo $ico16.'&nbsp;'.__('Parametrize Moderation of comments'); ?></legend>
				<div class="two-cols">
				<div class="col">
				<p class="field">
					<?php echo form::checkbox('ItsaRiddle_Moderation', 1, html::escapeHTML($pItsaRiddle_Moderation)); ?>
					<label class=" classic" for="pItsaRiddle_Moderation"> <?php echo __('Activation Moderation');?></label>
				</p>
				<p class="field">
					<?php echo form::field('ItsaRiddle_Tag', 40, 255, html::escapeHTML($pItsaRiddle_Tag)); ?>
					<label class=" classic" for="ItsaRiddle_Tag"> <?php echo __('Tag');?></label>
				</p>
				</div>
				<div class="col">
				<p><?php echo __("Useful if you do not moderate by default");?></p>
				<p><?php echo __("You can moderate only posts containing this Tag");?></p>
				</div>
				</div>
		</fieldset>

		<fieldset>
			<legend><?php echo $ico16.'&nbsp;'.__('Parametrize Administration'); ?></legend>
				<div class="two-cols">
				<div class="col">
				<p class="field">
					<?php echo form::checkbox('ItsaRiddle_DashBoard', 1, html::escapeHTML($pItsaRiddle_DashBoard)); ?>
					<label class=" classic" for="pItsaRiddle_DashBoard"> <?php echo __('DashBoard Icon');?></label>
				</p>
				<p class="field">
					<?php echo form::checkbox('ItsaRiddle_InfoVersion', 1, html::escapeHTML($pItsaRiddle_InfoVersion)); ?>
					<label class=" classic" for="pItsaRiddle_InfoVersion"> <?php echo __('Activation VersionInfo');?></label>
				</p>
				</div>
				<div class="col">
				<p>
					<?php if ($pItsaRiddle_InfoVersion) echo '<a href="http://akhthot.free.fr/blog/VersionInfo/Son/ItsaRiddle/ItsaRiddle.'.$vplug.'"><img src="http://akhthot.free.fr/blog/VersionInfo/Img/ItsaRiddle/ItsaRiddle.'.$vplug.'" alt="VersionInfo '.__('Indisponible !').'" title="VersionInfo" /></a>';?>
				</p>
				</div>
				</div>
		</fieldset>

		<fieldset>
			<input type="submit" name="saveconfig" value="<?php echo __('Save this Configuration'); ?>" />
			<input type="hidden" name="p" value="ItsaRiddle" /><?php echo $core->formNonce(); ?>
		</fieldset>

		<fieldset>
			<legend><?php echo $ico16.'&nbsp;'.__('Presentation'); ?></legend>
				<div class="two-cols">
				<div class="col">
					<p>Ce plugin va vous permettre de proposer des devinettes (Riddle en anglais) à vos visiteurs. On peut aussi ne rendre accessible la suite du contenu d'un billet qu'aux personnes connaissant le code d'accès. Ce procédé est plus souple que la protection par mot-de-passe par défaut de dotclear, puisque les billets apparaissent dans le flux et vous pouvez placer des informations avant la zone de saisie du code d'accès et après la zone a masquer. Mais <strong>attention</strong> en cas de désactivation du plugin un simple coup d'oeil à la source et tout est dévoilé !!!</p>
					<p>Vous pouvez aussi modérer les commentaires de ces billets devinettes <em>(pour éviter que quelqu'un ne vende la meche volontairement ou non)</em>, même si le paramétrage de votre blog n'active pas la modération de tous les billets. Et ceci soit pour tous ces billets, soit pour seulement ceux ayant un tag spécifique.</p>
					<p>Les billets peuvent contenir plusieurs zones cachées visibles en même temps, mais aussi en cascade c'est à dire contenues elles-même dans une zone cachée, ainsi une (ou des) nouvelle(s) question(s) apparai(ssen)t à chaque bonne réponse. Bon ca devient vite assez complexe à gérer puisque ce sont au final des imbrications de span les uns dans les autres ...</p>
					<p><strong>ATTENTION !</strong> N'oubliez pas cependant que la désactivation du plugin rend visible dans le source de la page HTML les réponses et la zone cachée dans sa totalité, mais ! Dés lors que ce ne sont que des devinettes, rien de grave toutefois ! Si besoin, vous pouvez toujours temporairement dépublier ces billets <em>devinette</em> par l'interface d'administration et ceci facilement si vous leur avez mis un tag approprié.</p>
				</div>
				<div class="col">
					<p>This plugin is going to allow you to propose riddles to your visitors. We can make as well accessible the suite of the contents of a post to the persons knowing the access code. This process is more flexible than the protection by password by default of dotclear, because post appear in the flow and you can place information before the input field of the access code and after the zone has to mask. But <strong>attention</strong> in case of deactivation of the plugin a simple blow of eye on the source and everything is revealed!!!</p>
					<p>You can also moderate the comments of these posts riddles <em>(to avoid that somebody sells the meche voluntarily or not)</em>, even if the parameter setting of your blog does not activate moderation of all the posts. And this is for all these posts, is to having only to those a specific tag.</p>
					<p>Be posts can contain several visible hidden zones at the same time, but also in waterfall that is contained they the same in a hidden zone, so one (or) new question(s) appears in every good answer. Well it becomes complex to manage because they are in the end interweavings of span some in the others...</p>
					<p><strong>ATTENTION! </strong>Do not forget however that the deactivation of the plugin makes visible in source of the HTML page the answers and the zone hidden in its totality, but! Dices lors that they are only riddles, anything grave however! If need, you can always temporarily unpublished these posts <em>riddle</em> by the interface of administration and this easily if you put them an appropriate tag.</p>
				</div>
				</div>
		</fieldset>

		<fieldset>
			<legend><?php echo $ico16.'&nbsp;'.__('Principle'); ?></legend>
				<div class="two-cols">
				<div class="col">
					<p>Un principe simple, vous ne pourrez lire la zone cachée du billet (dans le contenu ou l'extrait du billet) qu'après avoir donné la bonne réponse. Il vous suffit pour cela de mettre dans un paragraphe isolé une balise ouvrante avec un paramètrage spécial, votre zone cachée, puis la balise fermante.</p>
					<p>Voici la syntaxe à utiliser <strong>&lt;span itsariddle="...paramètres..." style="display:none;"&gt; ...zone cachée... &lt;/span&gt;</strong> <em>(le style="display:none;" ne sert qu'à masquer superficiellement la zone cachée si pour une raison ou une autre le plugin était désactivé)</em> avec pour ...paramètres... dans n'importe quel ordre mais séparé par des <strong>/</strong> :
						<ul>
							<li>la bonne réponse (voir les bonnes réponses séparées elles aussi par des <strong>/</strong>)</li>
							<li>les trois options facultatives</li>
							<ul>
								<li><strong>CASESENSITIVE</strong> : rendre sensible la réponse aux minuscules/majuscules (par défaut tout est converti en minuscule).</li>
								<li><strong>KEEPSPACE</strong> : rendre sensible aux espaces (par défaut ceux-ci sont éliminés).</li>
								<li><strong>KEEPACCENT</strong> : rendre sensible aux caractères accentués (par défaut les accents sont enlevés, pas les caractères).</li>
							</ul>
						</ul>
					</p>
					<p>Exemple : Qui est le premier empereur francais ? <strong>&lt;span itsariddle="Napoleon" style="display:none;"&gt; BRAVO ! c'est bien Napoléon ! &lt;/span&gt;</strong> acceptera napoleon, napo leon, NAPO leon, ... alors que des parametres "Napoleon/BONAPARTE/CASESENSITIVE/KEEPSPACE" acceptera deux réponses possibles respectant les minuscules/majuscules et sans espace en trop.</p>
				</div>
				<div class="col">
				<p>A simple principle, you can read the zone hidden from the post (in the contents or the extract of the post) only having given the good answer. It is enough to you for it to put in an isolated paragraph an open tag with a special paramètrage, your hidden zone, then the tag close.</p>
				<p>Here is the syntax to use <strong>&lt;span itsariddle ="...parameters..." style="display:none;"&gt; ...hidden zone... &lt;/span&gt;</strong> <em>(the style="display:none;" serves only to mask superficially the hidden zone if for a reason or the other one the plugin was deactivated)</em> with for ...parameters... in any order but separated by <strong>/</strong> :
					<ul>
						<li>the good answer (to see the good separate answers too by one <strong>/</strong>)</li>
						<li>three optional options</li>
						<ul>
							<li><strong>CASESENSITIVE</strong> : to give sensitive the answer to small letters / capital letters (by default everything is converted in small letter).</li>
							<li><strong>KEEPSPACE</strong> : make sensitive to spaces (by default these are eliminated).</li>
							<li><strong>KEEPACCENT</strong> : make sensitive to the stressed characters (by default accents are removed, not the characters).</li>
						</ul>
					</ul> 
				<p> Example: who is the first french emperor ? <strong>&lt;span itsariddle = "Napoleon" style = "display:none;"&gt; BRAVO! It is good Napoleon! &lt;/span&gt;</strong> will accept napoleon, napo leon, NAPO leon, while parametres "Napoleon/BONAPARTE/CASESENSITIVE/KEEPSPACE" will accept two possible answers respecting small letters / capital letters and without space too.</p>
				</div>
				</div>
		</fieldset>

	</form>
</div>
</body>
</html>
